<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>Home - Documentation</title>

    <script src="scripts/prettify/prettify.js"></script>
    <script src="scripts/prettify/lang-css.js"></script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>
<body>

<input type="checkbox" id="nav-trigger" class="nav-trigger" />
<label for="nav-trigger" class="navicon-button x">
  <div class="navicon"></div>
</label>

<label for="nav-trigger" class="overlay"></label>

<nav>
    <li class="nav-link nav-home-link"><a href="index.html">Home</a></li><li class="nav-heading">Namespaces</li><li class="nav-heading"><span class="nav-item-type type-namespace">N</span><span class="nav-item-name"><a href="fox.html">fox</a></span></li><li class="nav-heading"><a href="global.html">Globals</a></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#advice">advice</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#decrypt">decrypt</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#discordDeconstruct">discordDeconstruct</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#discordSnowflake">discordSnowflake</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#e621">e621</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#e926">e926</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#encrypt">encrypt</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#fact">fact</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#furry">furry</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#hash">hash</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#hashVerify">hashVerify</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#keyGen">keyGen</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#keyGenAsymmetricKey">keyGenAsymmetricKey</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#keyring">keyring</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#keyringLoad">keyringLoad</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#owoify">owoify</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#parseURL">parseURL</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#sign">sign</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#snowflake">snowflake</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#snowflakeDeconstruct">snowflakeDeconstruct</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#twitterSnowflake">twitterSnowflake</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#uwuify">uwuify</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#verify">verify</a></span></li>
</nav>

<div id="main">
    

    



    









    


    <section class="readme">
        <article><h1>Āti</h1>
<p>Sort of a random project I started</p>
<p><img src="https://img.shields.io/npm/l/ati" alt="NPM"></p>
<p><img src="https://badges.aleen42.com/src/visual_studio_code.svg" alt="Visual Studio Code"></p>
<p><img src="https://badges.aleen42.com/src/eslint.svg" alt="ESLint"></p>
<p><img src="https://badges.aleen42.com/src/javascript.svg" alt="JavaScript"></p>
<p><img src="https://badges.aleen42.com/src/gitlab.svg" alt="GitLab"></p>
<h2>Usage</h2>
<p>Install first!
<code>npm i ati.js</code></p>
<p>Discord Snowflake</p>
<pre class="prettyprint source lang-javascript"><code>const ati = require('ati.js'); // Require the package

console.log(ati.discordSnowflake()); // Will return a sort of discord snowflake
</code></pre>
<p>Twitter Snowflake</p>
<pre class="prettyprint source lang-javascript"><code>const ati = require('ati.js'); // Require the package

console.log(ati.twitterSnowflake()); // Will return a sort of twitter snowflake
</code></pre>
<p>Custom Snowflake</p>
<pre class="prettyprint source lang-javascript"><code>const ati = require('ati.js'); // Require the package

console.log(ati.snowflake('epoch here')) // Epoch example: 2000-01-01T00:00:00.000Z
</code></pre>
<h1>Deconstruction</h1>
<p>Discord Snowflake</p>
<pre class="prettyprint source lang-javascript"><code>const ati = require('ati.js'); // Require the package

console.log(ati.discordSnowflake.deconstruct(&quot;Your snowflake here&quot;)); // Will deconstruct a discord type snowflake.
</code></pre>
<p>or</p>
<pre class="prettyprint source lang-javascript"><code>const ati = require('ati.js'); // Require the package

const snowflake = ati.discordSnowflake(); // Generation

console.log(ati.discordSnowflake.deconstruct(snowflake)); // Will deconstruct a discord snowflake.
</code></pre>
<p>Twitter Snowflake</p>
<pre class="prettyprint source lang-javascript"><code>const ati = require('ati.js'); // Require the package

const snowflake = ati.twitterSnowflake(); // Generation

console.log(ati.twitterSnowflake.deconstruct(snowflake)); // Deconstruction
</code></pre>
<h1>Docs</h1>
<p><a href="https://raven-studio.gitlab.io/random/ati/docs/">Docs Here</a></p>
<p>For any issues or questions feel free to open up an issue on the <a href="https://gitlab.com/raven-studio/random/ati">GitLab Repo</a></p>
<h1>Notice</h1>
<p>Some functions may not be documented. Reasons:</p>
<ul>
<li>It could be that I'm unsure about something</li>
<li>It still needs work</li>
<li>I don't really want to document it</li>
</ul></article>
    </section>






</div>

<br class="clear">

<footer>
    Generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc 3.6.6</a> on Wed Mar 24 2021 21:46:38 GMT+1100 (Australian Eastern Daylight Time) using the Minami theme.
</footer>

<script>prettyPrint();</script>
<script src="scripts/linenumber.js"></script>
</body>
</html>